#ifndef _DRIVERS_BLOCK_MM_H
#define _DRIVERS_BLOCK_MM_H

#define MM_MAXCARDS 4

#define IRQ_TIMEOUT (1 * HZ)

/* CSR register definition */
#define MEMCTRLSTATUS_MAGIC   0x00
#define MEMCTRLSTATUS_BATTERY 0x04
#define MEMCTRLSTATUS_MEMORY  0x07

#define MEMCTRLCMD_LEDCTRL    0x08
#define MEMCTRLCMD_ERRCTRL    0x0C
#define MEMCTRLCMD_ERRCNT     0x0D
#define MEMCTRLCMD_ERRSTATUS  0x0E

#define WINDOWMAP_WINNUM      0x7B

#define DMA_PCI_ADDR        0x40
#define DMA_LOCAL_ADDR      0x48
#define DMA_TRANSFER_SIZE   0x50
#define DMA_DESCRIPTOR_ADDR 0x58
#define DMA_SEMAPHORE_ADDR  0x60
#define DMA_STATUS_CTRL     0x68

#define MEM_128_MB 0xfe
#define MEM_256_MB 0xfc
#define MEM_512_MB 0xf8
#define MEM_1_GB   0xf0
#define MEM_2_GB   0xe0

#define LED_OFF       0x00
#define LED_ON        0x01
#define LED_FLASH_3_5 0x02
#define LED_FLASH_7_0 0x03

#define EDC_NONE_DEFAULT  0x00
#define EDC_NONE          0x01
#define EDC_STORE_READ    0x02
#define EDC_STORE_CORRECT 0x03

#define DMASTAT_ANYERROR 0x800
#define DMASTAT_MBEERROR 0x1000
#define DMASTAT_PERR_REP 0x2000
#define DMASTAT_PERR_DET 0x4000
#define DMASTAT_SERR_SIG 0x8000
#define DMASTAT_TARG_ABT 0x10000
#define DMASTAT_MAST_ABT 0x20000
#define DMASTAT_COMPLETE 0x40000

#define DMA_READ_FROM_HOST 0
#define DMA_WRITE_TO_HOST 1

#define PCI_DEVICE_ID_5415CN 0x5415
#endif
